@import "../variables";

.att-def {
  font-size: @small;

  .switch {
    height: 1.5em;
  }

  .slider:before {
    height: 1em;
    width: 1em;
    left: 2px;
  }

}

li.combatant.actor.directory-item {
  border-bottom: 1px solid #222;
  height: 60px;
  padding: 0.2em 0;

  div.opponents {
    justify-content: center;
    align-items: center;
    align-content: center;
    color: #666;
    font-size: @small;
    line-height: 14px;
    flex: 1;

    img.actor-foe {
      border: none;
      object-fit: contain;
      object-position: 50% 0;
      height: 25px;
      flex: none;
      margin: 0 0.1em;
      padding: 0;
      width: 25px;
    }
  }

  div.stance.inherited {
    opacity: 0.3;
  }

  .stance {
    justify-content: center;
    align-content: center;
    align-items: center;
    border-left: 1px solid #222;
    flex: 0.4;

    img.stance-icon {
      border: none;
      object-fit: contain;
      object-position: 50% 0;
      height: 30px;
      flex: none;
      margin: 0 0.1em;
      padding: 0;
      width: 30px;
    }

    span.stance-label {
      font-size: @small;
      text-align: center;
      flex: none;
      display: block;
      line-height: 1em;
    }
  }
}

nav.encounters.combat {
  justify-content: space-between;
  padding: 0 0.5em;

  h3, a, div {
    flex: none;
  }
}